unit zaklad;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons, Process;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Label1: TLabel;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure CheckBox1Change(Sender: TObject);
    procedure CheckBox2Change(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation
uses autor;

{ TForm1 }


procedure TForm1.CheckBox1Change(Sender: TObject);
begin
  if form1.edit1.enabled=true then
    begin
    form1.edit1.Enabled:=false;
    form1.Button1.Enabled:=false;
    form1.button4.enabled:=false;
    end
  else
    begin
    form1.edit1.enabled:=true;
    form1.button1.enabled:=true;
    form1.button4.enabled:=true;
    end;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if form1.opendialog1.execute then form1.edit1.text:=form1.opendialog1.filename
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  if form1.opendialog1.execute then form1.edit2.text:=form1.opendialog1.filename
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  if form1.opendialog1.execute then form1.edit3.text:=form1.opendialog1.filename
end;

procedure TForm1.Button4Click(Sender: TObject);
var proc: Tprocess;
begin
  if fileexists(form1.edit3.text) then begin
  if form1.checkbox1.Checked=true then if fileexists(form1.edit1.text) then
       begin
       proc:=Tprocess.create(nil);
       proc.CommandLine:=form1.edit1.text+' '+form1.edit3.text;
       proc.Execute;
       proc.Free;
       end;
  end;
end;

procedure TForm1.Button5Click(Sender: TObject);
var proc: Tprocess;
begin
  if fileexists(form1.edit3.text) then begin
  if form1.checkbox2.Checked=true then if fileexists(form1.edit2.text) then
       begin
       proc:=Tprocess.create(nil);
       proc.CommandLine:=form1.edit2.text+' '+form1.edit3.text;
       proc.Execute;
       proc.Free;
       end;
  end;
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  form2.showmodal;
end;

procedure TForm1.CheckBox2Change(Sender: TObject);
begin
  if form1.edit2.enabled=true then
    begin
    form1.edit2.Enabled:=false;
    form1.Button2.Enabled:=false;
    form1.button5.enabled:=false;
    end
  else
    begin
    form1.edit2.enabled:=true;
    form1.button2.enabled:=true;
    form1.button5.enabled:=true;
    end;
end;

initialization
  {$I zaklad.lrs}

end.

